Package org.apache.nutch.indexer.geoip

# Enum Class GeoIPIndexingFilter.DatabaseType

java.lang.Object
java.lang.Enum<GeoIPIndexingFilter.DatabaseType>
org.apache.nutch.indexer.geoip.GeoIPIndexingFilter.DatabaseType

All Implemented Interfaces:
  `Serializable`, `Comparable<GeoIPIndexingFilter.DatabaseType>`, `Constable`

Enclosing class:
  GeoIPIndexingFilter

public static enum GeoIPIndexingFilter.DatabaseType extends Enum<GeoIPIndexingFilter.DatabaseType>
Supported GeoIP database types.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ANONYMOUS`
  `ASN`
  `CITY`
  `CONNECTION`
  `COUNTRY`
  `DOMAIN`
  `ISP`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getPropertyName()`
  `static GeoIPIndexingFilter.DatabaseType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static GeoIPIndexingFilter.DatabaseType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ANONYMOUS

    public static final GeoIPIndexingFilter.DatabaseType ANONYMOUS

  - ### ASN

    public static final GeoIPIndexingFilter.DatabaseType ASN

  - ### CITY

    public static final GeoIPIndexingFilter.DatabaseType CITY

  - ### CONNECTION

    public static final GeoIPIndexingFilter.DatabaseType CONNECTION

  - ### COUNTRY

    public static final GeoIPIndexingFilter.DatabaseType COUNTRY

  - ### DOMAIN

    public static final GeoIPIndexingFilter.DatabaseType DOMAIN

  - ### ISP

    public static final GeoIPIndexingFilter.DatabaseType ISP

- ## Method Details

  - ### values

    public static GeoIPIndexingFilter.DatabaseType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static GeoIPIndexingFilter.DatabaseType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getPropertyName

    public String getPropertyName()